"""
Attachment JSONL Handler
"""
from typing import Dict, Any
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import AttachmentSyncNode


class AttachmentJsonlHandler(BaseJsonlHandler):
    """附件 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "attachment", AttachmentSyncNode, Dict[str, Any])
